Uses Crt,Gif,ModeXLib,Tools;
const y=246;                    {height and position are defined here}
      height=90;                {can also be variables}

Var Sine:Array[0..63] of Word;  {Sine table, will be filled later}
    i:Word;                     {temporary counter}

Procedure Make_Wob(wob_pos,wob_height,wob_offset:word);external;
{$l wobbler}

begin
  TextMode(3);                  {Wobbler functions in ANY video mode! }

  Draw_Ansi('db6.ans');         {load Ansi file}
  Sin_Gen(Sine,64,4,83);        {precalculate sine}
  CRTC_Unprotect;               {enable horizontal timing}
  ReadKey;                      {wait}
  i:=0;
  Repeat
    inc(i);                     {generate movement}
    Make_Wob(y,height,i);       {draw wobble}
  Until KeyPressed;
  CRTC_Protect;                 {protect CRTC again}
End.
